#!/bin/ksh
#*******************************************************************************
#* Licensed Materials - Property of IBM
#* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
#* 
#* Note to U.S. Government Users Restricted Rights:
#* Use, duplication or disclosure restricted by GSA ADP Schedule
#* Contract with IBM Corp. 
#*******************************************************************************

#########################################
# Installation properties
#########################################
export C8SE_scripts=$PWD
export C8SE_WAS_Dst=[VEGA_WAS_Dst]
export C8SE_C8_Dst=[VEGA_C8_Dst]
export C8SE_DB2_Dst=[VEGA_DB2_Dst]
export JAVA_HOME=$C8SE_WAS_Dst/java
export C8SE_logfile=$C8SE_scripts/C8SE_install.log

#########################################
# Generate a new cogstartup.xml for DB2 using a transformation
#########################################
export _JAVACMD=$JAVA_HOME/jre/bin/java
export _CLASSPATH=$C8SE_C8_Dst/webapps/p2pd/WEB-INF/lib/jdxslt.jar:$C8SE_C8_Dst/webapps/p2pd/WEB-INF/lib/xercesImpl.jar:$C8SE_C8_Dst/webapps/p2pd/WEB-INF/lib/xml-apis.jar
export _SOURCEXML=$C8SE_C8_Dst/configuration/cogstartup.xml
export _TARGETXML=$C8SE_C8_Dst/configuration/cogstartup.C8SE.xml
"$_JAVACMD" -cp "$_CLASSPATH" jd.xml.xslt.Stylesheet -OUT "$_TARGETXML" "$_SOURCEXML" "$C8SE_scripts/C8SE_config_DB2-91.xslt" >> "$C8SE_logfile" 2>>1
cp "$_SOURCEXML" "$C8SE_C8_Dst/configuration/cogstartup.backup.xml" >> "$C8SE_logfile"
cp "$_TARGETXML" "$_SOURCEXML" >> "$C8SE_logfile"

#########################################
# Copy the DB2 JDBC Driver to the proper location
#########################################
if [ -r "$C8SE_DB2_Dst/java/db2java.jar" ]; then
	cp "$C8SE_DB2_Dst/java/db2java.jar" "$C8SE_C8_Dst/webapps/p2pd/WEB-INF/lib/db2java.jar"
fi
if [ -r "$C8SE_DB2_Dst/java/db2java.zip" ]; then
	cp "$C8SE_DB2_Dst/java/db2java.zip" "$C8SE_C8_Dst/webapps/p2pd/WEB-INF/lib/db2java.jar"
fi
